
/*******************************************************************************
*  Description:
*    
*  Добавлен шрифт 8х8 и кирилица в проект  PSoC Graphics Component for Color LCD Shield   http://www.cypress.com/?app=forum&id=2492&rID=79260
*  в шрифте 8х8 кирилица только в заглавных буквах
*

*
* Much of this code was ported from the LCD_driver code by Mark Sproul
* and Peter DavenPort.  Also the tutorial by James P. Lynch
* on how the controller works was invaluable.
********************************************************************************/

#include <device.h>
#define Large  1	// флаг шрифта 8х16
#define Small  0	// флаг шрифта 8х8
 
/*   текст на кирилице можно вводить только в виде массива чисел */ 
char text0[] = {132,174,161,160,162,171,165,173,32,224,227,225,225,170,168,169,00};		//Добавлен русский
char text2[] = {152,224,168,228,226,235,32,56,229,56,32,32,56,229,49,54,00};			//шрифты 8х8   8х16
char text3_1[] = {32,130,32,152,144,136,148,146,133,32,56,120,56,32,32,32,00};			//В ШРИФТЕ 8x8
char text3_2[] = {32,144,147,145,145,138,136,133,32,129,147,138,130,155,32,32,00};		// РУССКИЕ БУКВЫ
char text3_3[] = {146,142,139,156,138,142,32,135,128,131,139,128,130,141,155,133,00};	// ТОЛЬКО ЗАГЛАВНЫЕ
char text3_4[] = {136,32,143,145,133,130,132,142,131,144,128,148,136,138,128,58,00};	// И ПСЕВДОГРАФИКА

			//   А    Б   В  Г   Д   Е   Ж   З   И   Й   К   Л   М   Н   О   П   
//char test7[] = {127,127,130,131,132,133,240,134,135,136,137,138,139,140,141,142,00};
char test10[] = {176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,00};


void main()
{
	
	/* Initialize LCD  */
    GLCD_Start();  
	GLCD_On();
  	GLCD_Contrast(60);  
  	GLCD_Clear(GLCD_BLACK);   /* Make background black  */ 

 	GLCD_SetFont(Large)  ;// Small    Large
	GLCD_PrintString(  " Fonts 8x16,8x8 ", 2, 0, GLCD_BLACK, GLCD_RED);
    GLCD_PrintString(text0,  20, 0, GLCD_BLUE, GLCD_WHITE);		//Добавлен русский
	GLCD_PrintString(text2, 38,  1, GLCD_GREEN, GLCD_BLUE);		//	шрифты 8х8   8х16

	GLCD_SetFont(Small)   ;// Small(8x8)    Large(8x16) 
	GLCD_PrintString(text3_1, 50,  0, GLCD_BLUE, GLCD_BLACK);	//	В ШРИФТЕ 8x8
	GLCD_PrintString(text3_3, 60,  0, GLCD_BLUE, GLCD_BLACK);	//	РУССКИЕ БУКВЫ
	GLCD_PrintString(text3_2, 70,  4, GLCD_BLUE, GLCD_BLACK);	//	ТОЛЬКО ЗАГЛАВНЫЕ
	GLCD_PrintString(text3_4, 80,  3, GLCD_BLUE, GLCD_BLACK);	//	И ПСЕВДОГРАФИКА

	GLCD_PrintString(test10, 98,  3, GLCD_YELLOW, GLCD_BLACK);	//	И ПСЕВДОГРАФИКА
	//CyDelay(5000);
	/* Turn off display */
	/* GLCD_Stop(); */
	
    for(;;)
    {
        /* Loop forever */   
    }
}

/* [] END OF FILE */
